% U is Nx1 and X is Mx1 column vector.
% f=KDE1d(U,X,h), where f is an estimated density of X at points
% specified at U. f is Nx1 vector. f returned is normalized by N

function g=KDE1d(U,X,h)
M=length(X);
N=length(U);
f=zeros(1,N);

% fprintf('Please wait, working on KDE....\n');
for i=1:N
	f(i)=sum(exp((-0.5*((U(i)-X)./h).^2)));
%     f(i)=(1/M*h*sqrt(2*pi))*sum(exp((-0.5*((U(i)-X)./h).^2)));
%     if i==floor(N/20)
%         fprintf('=');
%     elseif i==floor(2*N/20)
%         fprintf('=');
%     elseif i==floor(3*N/20)
%         fprintf('=');
%     elseif i==floor(4*N/20)
%         fprintf('=');
%     elseif i==floor(5*N/20)
%         fprintf('=');
%     elseif i==floor(6*N/20)
%         fprintf('=');
%     elseif i==floor(7*N/20)
%         fprintf('=');
%     elseif i==floor(8*N/20)
%         fprintf('=');
%     elseif i==floor(9*N/20)
%         fprintf('=');
%     elseif i==floor(10*N/20)
%         fprintf('=');
%     elseif i==floor(11*N/20)
%         fprintf('=');
%     elseif i==floor(12*N/20)
%         fprintf('=');
%     elseif i==floor(13*N/20)
%         fprintf('=');
%     elseif i==floor(14*N/20)
%         fprintf('=');
%     elseif i==floor(15*N/20)
%         fprintf('=');
%     elseif i==floor(16*N/20)
%         fprintf('=');
%     elseif i==floor(17*N/20)
%         fprintf('=');
%     elseif i==floor(18*N/20)
%         fprintf('=');
%     elseif i==floor(19*N/20)
%         fprintf('=');
%     end
        
%     waitbar(i/N,wb);

end
g=f/sum(f);
